tests: factor 350 fail=0 initializations into test-lib.sh
[platform/upstream/coreutils.git] / tests / du / long-sloop
index baf681e..99f7a15 100755 (executable)
@@ -3,11 +3,11 @@
 # Show that du fails with ELOOP (Too many levels of symbolic links)
 # when it encounters that condition.
 
-# Copyright (C) 2006 Free Software Foundation, Inc.
+# Copyright (C) 2006-2009 Free Software Foundation, Inc.
 
-# This program is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
+# the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
 
 # This program is distributed in the hope that it will be useful,
 # GNU General Public License for more details.
 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 if test "$VERBOSE" = yes; then
   set -x
   du --version
 fi
 
-. $srcdir/../lang-default
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
+. $srcdir/test-lib.sh
 
 # Create lots of directories, each containing a single symlink
 # pointing at the next directory in the list.
@@ -45,25 +34,20 @@ cd $tmp || framework_failure=1
 n=400
 
 dir_list=`seq $n`
-mkdir $dir_list || framework_failure=1
+mkdir $dir_list || framework_failure
 file=1
 i_minus_1=0
 for i in $dir_list `expr $n + 1`; do
   case $i_minus_1 in
   0) ;;
   *)
-    ln -s ../$i $i_minus_1/s || framework_failure=1
+    ln -s ../$i $i_minus_1/s || framework_failure
     file=$file/s;;
   esac
   i_minus_1=$i
 done
 echo foo > $i
 
-if test $framework_failure = 1; then
-  echo "$0: failure in testing framework" 1>&2
-  (exit 1); exit 1
-fi
-
 # If a system can handle this many symlinks in a file name,
 # just skip this test.
 
@@ -73,17 +57,11 @@ fi
 # renders it as `Number of symbolic links encountered during path
 # name traversal exceeds MAXSYMLINKS'.
 
-cat $file > /dev/null 2> err && \
-  {
-    cat <<EOF >&2
-$0: Your system appears to be able to handle more than $n symlinks
-in file name resolution, so skipping this test.
-EOF
-    (exit 77); exit 77
-  }
+cat $file > /dev/null 2> err &&
+    skip_test_ 'Your system appears to be able to handle more than $n symlinks
+in file name resolution'
 too_many=`sed 's/.*: //' err`
 
-fail=0
 
 # With coreutils-5.93 there was no failure.
 # With coreutils-5.94 we get the desired diagnostic:
@@ -93,7 +71,6 @@ sed "s, .1/s/s/s/[/s]*',," out1 > out || fail=1
 
 echo "du: cannot access: $too_many" > exp || fail=1
 
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
 
-(exit $fail); exit $fail
+Exit $fail